Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router
Class LeaseSetKeys

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.router.LeaseSetKeys

All Implemented Interfaces:
  DataStructure

    public class LeaseSetKeys

extends DataStructureImpl

Wrap up the keys given to the router when a destination connects to it

Constructor Summary
`LeaseSetKeys()`
`LeaseSetKeys(Destination dest, SigningPrivateKey revocationKey, PrivateKey decryptionKey)`

Method Summary
`boolean` | `equals(Object obj)`
`PrivateKey` | `getDecryptionKey()` Decryption key which can open up garlic messages encrypted to the LeaseSet's public key.
`Destination` | `getDestination()` Destination in question
`SigningPrivateKey` | `getRevocationKey()` Key with which a LeaseSet can be revoked (by republishing it with no Leases)
`int` | `hashCode()`
`void` | `readBytes(InputStream in)` Load up the current object with data from the given stream.
`void` | `writeBytes(OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeaseSetKeys

    public LeaseSetKeys()

### LeaseSetKeys

    public LeaseSetKeys(Destination dest,
                        SigningPrivateKey revocationKey,
                        PrivateKey decryptionKey)

Method Detail

### getDestination

    public Destination getDestination()

  Destination in question

### getRevocationKey

    public SigningPrivateKey getRevocationKey()

  Key with which a LeaseSet can be revoked (by republishing it with no Leases)

### getDecryptionKey

    public PrivateKey getDecryptionKey()

  Decryption key which can open up garlic messages encrypted to the LeaseSet's public key. This is used because the general public does not know on what router the destination is connected and as such can't encrypt to that router's normal public key.

### readBytes

    public void readBytes(InputStream in)
                   throws DataFormatException,
                          IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `DataFormatException` - if the data is improperly formatted
    `IOException` - if there was a problem reading the stream

### writeBytes

    public void writeBytes(OutputStream out)
                    throws DataFormatException,
                           IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `DataFormatException` - if the data was incomplete or not yet ready to be written
    `IOException` - if there was a problem writing to the stream

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD